#! /usr/bin/python
# Test program for my Module for CGI ouput
# jahtml v0.6
# (C) Jerome ALET <alet@unice.fr> 1999
# You're welcome to redistribute this software under the
# terms of the GNU General Public Licence version 2.0
# or, at your option, any higher version.
#
# You can read the complete GNU GPL in the file COPYING
# which should come along with this software, or visit
# the Free Software Foundation's WEB site http://www.fsf.org
#
# REMARK: It's my first python program, so be cool with me !
#
# $Id: cgi_example1.py,v 1.5 1999/02/10 21:28:04 jerome Exp $
#
import sys

sys.path.append("../src")

import jahtml

page = jahtml.CGI_document()

# to do a redirection, just do
# page.set_redirect("http://cortex.unice.fr/~jerome")
# then just call page.output("")

# We can speed up things setting indentstring to ""
# We can call set_indentstring whenever we want (before the output("") call) 
#page.set_indentstring("  ")

# here again we can do that whenever we want (before output)
# text/html is the default for set_content_type()
page.set_content_type("text/html")

# to define a pragma, just use:
# page.set_pragma("pragma_name")
# we can do that whenever we want, (before output)

# to define an expiration date, just use:
# page.set_expires("expiration_date")
# we can do that whenever we want, (before output)

# Maybe this should be done by the class's __init__ function
# but I don't think so in order for us to have more control
page.html()

# we must do a push and a pop in order for the <body> tags
# to not be enclosed between <head> and </head>
page.push()

# build the head of the document
page.head()
#
# the HTTP-EQUIV is very bad !!!
page.insert_tag("META", "HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=iso-8859-1'")
#
# Other meta tags should work fine
page.meta(name="GENERATOR", content="jahtml.py v0.3 from Jerome ALET - alet@unice.fr")
page.meta(name="DESCRIPTION", content="A CGI document, to test jahtml.py")
page.meta(name="KEYWORDS", content="python, jahtml, linux")
page.title("A CGI test document")

# here we exit from the <head> ... </head>
page.pop()

# we begin the body
page.body(bgcolor="pink")

# here we insert a dumb text
page.insert_text("A small text")

# we do a push to be able to exit from the <form> ... </form>
page.push()

page.form(action="/cgi-bin/jerome/ok.py", method="POST")

page.h1("Form's title")

# to be able to exit from <select> ... </select>
page.push()

page.select(name="choice", size="1")

page.option_selected("Choice number 1")
page.option("Choice number 2")
page.option("Choice number 3")

# exit from <select> ... </select>
page.pop()

page.h3("Second part of the Form")
page.br()
page.text(name="dumbstring", size="50")
page.submit()
page.reset()

# here we exit from the <form> ... </form>
page.pop()

page.insert_text("here we should be outside of the form")
page.insert_text("and there we should be one the same line visually but on two different lines in the html file")

page.a("Click on Me", href="http://www.slashdot.org")
page.pre("Hello !!!\n\t\tBye Bye\n\n")

page.insert_text("Here we should be outside of the PRE.../PRE tag")

# here we do the output
# for a CGI script, give an empty string (for stdout)
# unless you want to debug (give a filename) 
page.output("")

sys.exit(0)
